#
# spec file for package golang-github-prometheus-promu
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{go_nostrip}

Name:           golang-github-prometheus-promu
Version:        0.13.0
Release:        150000.3.3.1
Summary:        Prometheus Utility Tool
License:        Apache-2.0
Group:          System/Management
URL:            https://github.com/prometheus/promu
Source:         promu-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging
BuildRequires:  golang(API) = 1.15
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
The Prometheus Utility Tool is used by the Prometheus project to build other components.

%prep
%setup -q -n promu-%{version}
%setup -q -T -D -a 1 -n promu-%{version}

%build
%goprep github.com/prometheus/promu
export VERSION=%{version}
export CGO_ENABLED=0
go build \
   -mod=vendor \
   -buildmode=pie \
   -ldflags "-s -w -X main.version=$VERSION" \
   -o promu ;

%install
install -D -m 0755 promu "%{buildroot}/%{_bindir}/promu"
%gosrc

%gofilelist

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_bindir}/promu

%changelog
* Thu Mar  3 2022 ecsos@opensuse.org
- Update to version 0.13.0:
  * Release 0.13.0 (jsc#SLE-24138, jsc#SLE-24139)
  * Add deprecation note to pkg directory
  * Add windows/arm64
  * Update common Prometheus files
  * Fix typo
  * Release 0.12.0
  * Simplify CGO crossbuilds
  * Update common Prometheus files
  * Release 0.11.1
  * Fix build with "linux" platform
* Mon Mar  8 2021 witold.bedyk@suse.com
- Build requires Go 1.15
* Fri Feb  7 2020 witold.bedyk@suse.com
- Update to 0.5.0
  + Features:
  * Add support for aix/ppc64. #151
  * Fallback to git describe output if no VERSION. #130
  * Make extldflags extensible by configuration. #125
  + Enhancements:
  * cmd/release: add --timeout option. #142
  * cmd/release: create release in GitHub if none exists. #148
  * Avoid bind-mounting to allow building with a remote docker engine #95
  + Bug Fixes:
  * cmd/tarball: restore --prefix flag. #133
  * cmd/release: don't leak credentials in case of error. #136
- Use obs-service-go_modules
* Fri Feb  8 2019 jan.fajerski@suse.com
- Update to 0.2.0
  + Features:
  * Adding changes to support s390x
  * Add option to disable static linking
  * Add support for 32bit MIPS.
  * Added check_licenses Command to Promu
  + Enhancements:
  * Allow to customize nested options via env variables
  * Bump Go version to 1.11
  * Add warning if promu info is unable to determine repo info
  + Bug Fixes:
  * Fix build on SmartOS by not setting gcc's -static flag
  * Fix git repository url parsing
* Thu Jan 25 2018 kkaempf@suse.com
- Update to 0.1.0
* Wed Mar 29 2017 moio@suse.com
- Initial version
